Loading...
Searching...
No Matches
BALL::QSAR::ModelConfiguration Struct Reference

`#include <BALL/QSAR/configIO.h>`

## Public Member Functions

| ModelConfiguration ()

## Public Attributes

bool | done
String | data_file
String | output
String | descriptor_source_model
vector< double > | model_parameters
int | model_no
int | kernel_type
double | kernel_par1
double | kernel_par2
int | k_fold
bool | optimize_model_parameters
double | grid_search_stepwidth
int | grid_search_steps
int | grid_search_recursions
bool | within_section
bool | no_training

## Detailed Description

Definition at line 54 of file configIO.h.

## Constructor & Destructor Documentation

## ModelConfiguration()

BALL::QSAR::ModelConfiguration::ModelConfiguration | ( |  | ) |

## Member Data Documentation

## data_file

String BALL::QSAR::ModelConfiguration::data_file

Definition at line 59 of file configIO.h.

## descriptor_source_model

String BALL::QSAR::ModelConfiguration::descriptor_source_model

Definition at line 61 of file configIO.h.

## done

bool BALL::QSAR::ModelConfiguration::done

Definition at line 58 of file configIO.h.

## grid_search_recursions

int BALL::QSAR::ModelConfiguration::grid_search_recursions

Definition at line 71 of file configIO.h.

## grid_search_steps

int BALL::QSAR::ModelConfiguration::grid_search_steps

Definition at line 70 of file configIO.h.

## grid_search_stepwidth

double BALL::QSAR::ModelConfiguration::grid_search_stepwidth

Definition at line 69 of file configIO.h.

## k_fold

int BALL::QSAR::ModelConfiguration::k_fold

Definition at line 67 of file configIO.h.

## kernel_par1

double BALL::QSAR::ModelConfiguration::kernel_par1

Definition at line 65 of file configIO.h.

## kernel_par2

double BALL::QSAR::ModelConfiguration::kernel_par2

Definition at line 66 of file configIO.h.

## kernel_type

int BALL::QSAR::ModelConfiguration::kernel_type

Definition at line 64 of file configIO.h.

## model_no

int BALL::QSAR::ModelConfiguration::model_no

Definition at line 63 of file configIO.h.

## model_parameters

vector<double> BALL::QSAR::ModelConfiguration::model_parameters

Definition at line 62 of file configIO.h.

## no_training

bool BALL::QSAR::ModelConfiguration::no_training

Definition at line 73 of file configIO.h.

## optimize_model_parameters

bool BALL::QSAR::ModelConfiguration::optimize_model_parameters

Definition at line 68 of file configIO.h.

## output

String BALL::QSAR::ModelConfiguration::output

Definition at line 60 of file configIO.h.

## within_section

bool BALL::QSAR::ModelConfiguration::within_section

Definition at line 72 of file configIO.h.